API Reference

Ledger Lock

4 endpoints· Auth: JWT or API Key
post/api/v1/console/loss/days/lock JWT API Key

Create lock

Request body

application/json
{
  "businessDate": "2026-09-30",
  "explanation": "string",
  "shift": "Morning"
}
businessDate
string (date)
—
explanation
string
—
shift
LedgerShift
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/loss/days/lock" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "businessDate": "2026-09-30",
  "explanation": "string",
  "shift": "Morning"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/loss/periods/close JWT API Key

Create close

Request body

application/json
{
  "key": "string"
}
key
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/loss/periods/close" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "key": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/loss/periods/lock JWT API Key

Create lock

Request body

application/json
{
  "key": "string",
  "lockedThrough": "2026-09-30",
  "explanation": "string"
}
key
string
—
lockedThrough
string (date)
—
explanation
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/loss/periods/lock" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "key": "string",
  "lockedThrough": "2026-09-30",
  "explanation": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/loss/periods/reopen JWT API Key

Create reopen

Request body

application/json
{
  "key": "string",
  "reason": "string"
}
key
string
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/loss/periods/reopen" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "key": "string",
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu